!{\src2tex{textfont=tt}}
!!****f* ABINIT/initmesh
!! NAME
!! initmesh
!!
!! FUNCTION
!! Initialize the radial mesh (here only regular mesh)
!!
!! COPYRIGHT
!! Copyright (C) 1998-2005 ABINIT group (MT)
!! This file is distributed under the terms of the
!! GNU General Public License, see ~ABINIT/Infos/copyright
!! or http://www.gnu.org/copyleft/gpl.txt .
!! For the initials of contributors, see ~ABINIT/Infos/contributors .
!!
!! INPUTS 
!!  meshsz= Size of radial mesh
!!  rstep= Step corresponding to radial mesh
!!
!! OUTPUT
!!  rad(meshsz)= Coordinates of the radial grid
!!
!! PARENTS
!!      atompaw2abinit
!!
!! SOURCE

 subroutine initmesh(meshsz,rad,rstep)

 use defs_basis
 use defs_pawps

 implicit none

!Arguments ---------------------------------------------
 integer :: meshsz
 real(dp) :: rstep
 real(dp) :: rad(meshsz)

!Local variables ---------------------------------------
 integer :: ir
!--------------------------------------------------------

 do ir=1,meshsz
  rad(ir)=(ir-1)*rstep
 enddo

 end subroutine
!!***
